Print this page

Cipher not initialized

Knowledge Article Number 000199231
Description Third party applications might encounter this error message when performing an inbound call (target is Salesforce) if they do not support higher strength ciphers. To resolve this issue, the affected application needs to be updated as per the provider instructions. This article provides some information that has been used successfully by affected customers to solve this issue.
Resolution

TIBCO

A TIBCO installation with this issue may require updating to a newer version. Installing the Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy (where available) into your TIBCO JRE will prevent this issue and will allow for the highest strength cipher suites to be used. The files can be found at the download page for the J2SE used under the heading Other Downloads:


'Cipher not initialized' on Weblogic or Fusion Middle Ware (FMW) boxes

Weblogic or Fusion Middle Ware integrations will have to be enabled with "Strong Ciphers" by following the steps listed here:

This will require you download and install Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files. 
 




promote demote